List tasks for a ticket
GET
/projects/{id}/tickets/{ticketId}/tasks
const url = 'https://example.com/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/tickets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/tasks';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/tickets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/tasks \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Project UUID
ticketId
required
string format: uuid
Ticket UUID
Responses
Section titled “ Responses ”Task list ordered by sequence
Media type application/json
object
tasks
Array<object>
object
id
string format: uuid
handoff_request_id
string format: uuid
project_id
string format: uuid
sequence
integer
title
string
body
string | null
summary
string | null
role
string
status
string
assignee_user_id
string | null format: uuid
assignee_session_id
string | null
depends_on_task_ids
Array<string>
acceptance_criteria
Array<object>
object
estimated_minutes
integer | null
actual_minutes
integer | null
blocking_reason
string | null
started_at
string | null format: date-time
completed_at
string | null format: date-time
created_at
string format: date-time
updated_at
string format: date-time
Not authenticated
Media type application/json
object
error
required
Human-readable error message
string
code
Stable machine-readable error code for client branching
string
fieldErrors
First validation message per field path
object
key
additional properties
string
issues
Structured validation issues (Zod)
Array<object>
object
path
required
string
message
required
string
retryAfter
Seconds until rate limit resets (429 responses)
number
reconnect
True if re-linking GitHub may fix the issue
boolean
Forbidden
Media type application/json
object
error
required
Human-readable error message
string
code
Stable machine-readable error code for client branching
string
fieldErrors
First validation message per field path
object
key
additional properties
string
issues
Structured validation issues (Zod)
Array<object>
object
path
required
string
message
required
string
retryAfter
Seconds until rate limit resets (429 responses)
number